Bug 240499 - Stripesnoop will not build/function on ppc/ppc64
Stripesnoop will not build/function on ppc/ppc64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: stripesnoop (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature
Depends On:
Blocks: FE-ExcludeArch-ppc64/F-ExcludeArch-ppc64 F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2007-05-17 17:41 EDT by Tom "spot" Callaway
Modified: 2013-02-07 10:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-07 10:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-05-17 17:41:02 EDT
stripesnoop doesn't build on ppc/ppc64, because those platforms do not have
inb/outb.
Comment 1 David Woodhouse 2007-05-17 20:15:27 EDT
They have /dev/port.
Comment 2 Till Maas 2007-09-11 18:25:01 EDT
Is this related to build errors because of missing sys/io.h? In case the answer
is yes: vbetool and flashrom complain about a missing sys/io.h, how can this be
fixed/changed?
Comment 3 Tom "spot" Callaway 2007-09-12 09:38:25 EDT
No, this is specifically because stripesnoop tries to access inb() and outb().
They do live in sys/io.h. You want to look at why those applications #include
sys/io.h, there may be ways to work around it.
Comment 4 Bug Zapper 2008-04-03 20:46:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Tom "spot" Callaway 2008-04-03 22:33:12 EDT
Yep, still a PPC blocker.
Comment 6 Bug Zapper 2008-05-13 22:54:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:36:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Karsten Hopp 2013-02-07 10:23:55 EST
This should have been closed long ago. None of the supported Fedora releases still includes google-perftools
Comment 9 Karsten Hopp 2013-02-07 10:28:28 EST
woops, wrong bugzilla for that comment #8. 
Anyway, the bugzilla has been written for F9 and it is quite unlikely that stripesnoop will be fixed.

Note You need to log in before you can comment on or make changes to this bug.